<!-- Standard Struts Entries -->

<%@ page language="java" import="java.net.URLEncoder" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/controls.tld" prefix="controls" %>

<html:html locale="true">

<head>
  <title><bean:message key="application.title"/></title>
  <html:base/>
  <link rel="stylesheet" type="text/css" href="../tree-control-test.css">
  <link rel="stylesheet" type="text/css" href="../admin.css">
</head>

<!-- Body -->
<body bgcolor="white" background="../images/PaperTexture.gif">

<!--Form -->

<html:errors/>

<html:form method="POST" action="/engine/saveEngine" focus="maxProcessors">

  <table width="100%" border="0" cellspacing="0" cellpadding="0">
    <tr class="page-title-row">
      <td align="left" nowrap>
        <div class="page-title-text">
           <bean:write name="engineForm" property="engineName"/>
        </div>
      </td>
      <td align="left" nowrap>
        <div class="page-title-text">
			<bean:write name="engineForm" property="engineStateStr"/>
        </div>
      </td>
    </tr>
  </table>

 <br>

  <table border="0" cellspacing="0" cellpadding="0" width="100%">
    <tr><td><div class="table-title-text">
      <bean:message key="engine.properties"/>
    </div></td></tr>
  </table>

  <table class="back-table" border="0" cellspacing="0" cellpadding="1" width="100%">
    <tr>
      <td>
         <controls:table tableStyle="front-table" lineStyle="line-row">
          <controls:row header="true"
              labelStyle="table-header-text" dataStyle="table-header-text">
            <controls:label>
              <bean:message key="engine.property"/>
            </controls:label>
            <controls:data>
              <bean:message key="engine.value"/>
            </controls:data>
          </controls:row>

          <controls:row labelStyle="table-label-text" dataStyle="table-normal-text" styleId="portNumber">
            <controls:label><bean:message key="engine.maxProcessors"/>:</controls:label>
            <controls:data>
              <html:text property="maxProcessors" size="24" maxlength="24" styleId="portNumber"/>
            </controls:data>
          </controls:row>

          <controls:row labelStyle="table-label-text" dataStyle="table-normal-text" styleId="debugLvl">
            <controls:label><bean:message key="engine.deployerUpdateInterval"/>:</controls:label>
            <controls:data>
              <html:text property="deployerUpdateInterval" size="24" maxlength="24" styleId="portNumber"/>
            </controls:data>
          </controls:row>
        </controls:table>

      </td>
    </tr>
  </table>

  <%@ include file="../buttons.jsp" %>

</html:form>

<!-- Standard Footer -->

<%@ include file="../footer.jsp" %>

</body>

</html:html>
