<!-- Standard Struts Entries -->

<%@ page language="java" import="java.net.URLEncoder" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/controls.tld" prefix="controls" %>

<html:html locale="true">

<head>
  <title><bean:message key="application.title"/></title>
  <html:base/>
  <link rel="stylesheet" type="text/css" href="../tree-control-test.css">
  <link rel="stylesheet" type="text/css" href="../admin.css">
</head>

<!-- Body -->
<body bgcolor="white" background="../images/PaperTexture.gif">

<!--Form -->

<html:errors/>

  <table width="100%" border="0" cellspacing="0" cellpadding="0">
    <tr class="page-title-row">
      <td align="left" nowrap>
        <div class="page-title-text">
            <bean:message key="service.services"/>
        </div>
      </td>
    </tr>
  </table>

 <br>

  <table class="back-table" border="0" cellspacing="0" cellpadding="1" width="100%">
    <tr>
      <td>
         <controls:table tableStyle="front-table" lineStyle="line-row">
          <%
            Object[] services = (Object[])request.getAttribute("Services");
            for(int i=0; i<services.length; i++) {
          %>
           <controls:row labelStyle="table-label-text" dataStyle="table-normal-text">
             <controls:label>
               <a href='showServiceDetail.do?service=<%=(String)services[i]%>'><%=(String)services[i]%></a>
             </controls:label>
             <controls:data>
               <a href="../deploy/undeploy.do?service=<%=(String)services[i]%>"><bean:message key="service.undeploy"/></a>
             </controls:data>
           </controls:row>
          <%
            }
          %>
        </controls:table>

      </td>
    </tr>
  </table>


<!-- Standard Footer -->

<%@ include file="../footer.jsp" %>

</body>

</html:html>
