package org.act.soap.client.handler;
import javax.xml.namespace.QName;
import javax.xml.rpc.handler.HandlerInfo;
import org.act.soap.client.MessageContext;

public interface Handler {
    
    public void setType( String type );
    
    public String getType();
    
    public QName[] getHeaders();
    
    public void init( HandlerInfo hi ) throws Exception;
    
    public void cleanup();
    
    public boolean handleRequest( MessageContext msgContext ) throws Exception;
    
    public boolean handleResponse( MessageContext msgContext ) throws Exception;
    
    public boolean handleFault( MessageContext msgContext ) throws Exception;
}
