package org.act.soap.message;

public interface Constants {
    String EMPTY_STRING = "".intern();
    String NS_PREFIX = "xmlns".intern();
    
    String XML_URI = "http://www.w3.org/XML/1998/namespace".intern();
    
    String XMLNS_URI = "http://www.w3.org/2000/xmlns/".intern();
            String NS_PREFIX_SOAP_ENV = "SOAP-ENV";
    String NS_PREFIX_SOAP_ENC = "soapenc";
            String ELEM_ENVELOPE = "Envelope";
    String ELEM_HEADER = "Header";
    String ELEM_BODY = "Body";
    String ELEM_FAULT = "Fault";
    String ELEM_NOTUNDERSTOOD = "NotUnderstood";
    String ELEM_UPGRADE = "Upgrade";
    String ELEM_SUPPORTEDENVELOPE = "SupportedEnvelope";
    String ELEM_FAULT_CODE_SOAP11 = "faultcode";
    String ELEM_FAULT_STRING_SOAP11 = "faultstring";
    String ELEM_FAULT_DETAIL_SOAP11 = "detail";
    String ELEM_FAULT_ACTOR_SOAP11 = "faultactor";
    String ELEM_FAULT_CODE_SOAP12 = "Code";
    String ELEM_FAULT_VALUE_SOAP12 = "Value";
    String ELEM_FAULT_SUBCODE_SOAP12 = "Subcode";
    String ELEM_FAULT_REASON_SOAP12 = "Reason";
    String ELEM_FAULT_NODE_SOAP12 = "Node";
    String ELEM_FAULT_ROLE_SOAP12 = "Role";
    String ELEM_FAULT_DETAIL_SOAP12 = "Detail";
    String ELEM_FAULT_TEXT_SOAP12 = "Text";
    String ATTR_MUST_UNDERSTAND = "mustUnderstand";
    String ATTR_ENCODING_STYLE = "encodingStyle";
    String ATTR_ACTOR = "actor";
    String ATTR_ROLE = "role";
    String ATTR_RELAY = "relay";
    String ATTR_ROOT = "root";
    String ATTR_ID = "id";
    String ATTR_HREF = "href";
    String ATTR_REF = "ref";
    String ATTR_QNAME = "qname";
    String ATTR_ARRAY_TYPE = "arrayType";
    String ATTR_ITEM_TYPE = "itemType";
    String ATTR_ARRAY_SIZE = "arraySize";
    String ATTR_OFFSET = "offset";
    String ATTR_POSITION = "position";
    String ATTR_TYPE = "type";
    String ATTR_HANDLERINFOCHAIN = "handlerInfoChain";
            String URI_SOAP11_ENV = "http://schemas.xmlsoap.org/soap/envelope/";
    String URI_SOAP12_ENV = "http://www.w3.org/2003/05/soap-envelope";
            String MIME_TYPE_TEXT_PLAIN="text/plain";
    String MIME_TYPE_TEXT_XML="text/xml";
    String MIME_TYPE_APP_SOAP="application/soap+xml";
            String HEADER_PROTOCOL_10 = "HTTP/1.0";
    String HEADER_PROTOCOL_11 = "HTTP/1.1";
    String HEADER_PROTOCOL_V10 = "1.0".intern();
    String HEADER_PROTOCOL_V11 = "1.1".intern();
    String HEADER_POST = "POST";
    String HEADER_HOST = "Host";
    String HEADER_CONTENT_DESCRIPTION = "Content-Description";
    String HEADER_CONTENT_TYPE = "Content-Type";
    String HEADER_CONTENT_TRANSFER_ENCODING = "Content-Transfer-Encoding";
    String HEADER_CONTENT_TYPE_JMS = "ContentType";
    String HEADER_CONTENT_LENGTH = "Content-Length";
    String HEADER_CONTENT_LOCATION = "Content-Location";
    String HEADER_CONTENT_ID = "Content-Id";
    String HEADER_SOAP_ACTION = "SOAPAction";
    String HEADER_AUTHORIZATION = "Authorization";
    String HEADER_PROXY_AUTHORIZATION = "Proxy-Authorization";
    String HEADER_EXPECT = "Expect";
    String HEADER_EXPECT_100_Continue = "100-continue";
    String HEADER_USER_AGENT = "User-Agent";
    String HEADER_CACHE_CONTROL = "Cache-Control";
    String HEADER_CACHE_CONTROL_NOCACHE = "no-cache";
    String HEADER_PRAGMA = "Pragma";
    String REQUEST_HEADERS = "HTTP-Request-Headers";
    String RESPONSE_HEADERS = "HTTP-Response-Headers";
    
    String HEADER_TRANSFER_ENCODING = "Transfer-Encoding".intern();
    String HEADER_TRANSFER_ENCODING_CHUNKED = "chunked".intern();
    String HEADER_CONNECTION = "Connection";
    String HEADER_CONNECTION_CLOSE = "close".intern();
    String HEADER_CONNECTION_KEEPALIVE = "Keep-Alive".intern();
    String HEADER_ACCEPT = "Accept";
    String HEADER_ACCEPT_TEXT_ALL = "text/*";
    String HEADER_ACCEPT_APPL_SOAP = "application/soap+xml";
    String HEADER_ACCEPT_MULTIPART_RELATED = "multipart/related";
    String HEADER_ACCEPT_APPLICATION_DIME = "application/dime";
    
    String HEADER_COOKIE = "Cookie";
    String HEADER_COOKIE2 = "Cookie2";
    String HEADER_SET_COOKIE = "Set-Cookie";
    String HEADER_SET_COOKIE2 = "Set-Cookie2";
}
