package org.act.soap.server.management.admin;
import java.io.IOException;
import java.net.URLEncoder;
import java.util.ArrayList;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.BodyTagSupport;
import javax.servlet.jsp.tagext.Tag;

public class RowTag extends BodyTagSupport {
    
    protected boolean header = false;
    public boolean getHeader() {
        return (this.header);
    }
    public void setHeader(boolean header) {
        this.header = header;
    }
    
    protected String label = null;
    public void setLabel(String label) {
        this.label = label;
    }
    
    protected String data = null;
    public void setData(String data) {
        this.data = data;
    }
    
    protected String labelStyle = null;
    public String getLabelStyle() {
        return (this.labelStyle);
    }
    public void setLabelStyle(String labelStyle) {
        this.labelStyle = labelStyle;
    }
    
    protected String dataStyle = null;
    public String getdataStyle() {
        return (this.dataStyle);
    }
    public void setdataStyle(String dataStyle) {
        this.dataStyle = dataStyle;
    }
    
    protected String styleId = null;
    public String getStyleId() {
        return (this.styleId);
    }
    public void setStyleId(String styleId) {
        this.styleId = styleId;
    }
        
    public int doStartTag() throws JspException {
                 return (EVAL_BODY_TAG);
    }
    
    public int doAfterBody() throws JspException {
        return (SKIP_BODY);
    }
    
    public int doEndTag() throws JspException {
                Tag parent = getParent();
        while ((parent != null) && !(parent instanceof TableTag)) {
            parent = parent.getParent();
        }
        if (parent == null) {
            throw new JspException("Must be nested in a TableTag instance");
        }
        TableTag table = (TableTag) parent;
                        HttpServletResponse response =
        (HttpServletResponse) pageContext.getResponse();
        table.addRow(header, label, data, labelStyle, dataStyle, styleId);
        return (EVAL_PAGE);
    }
    
    public void release() {
                this.header= false;
        this.label = null;
        this.data = null;
        this.labelStyle = null;
        this.dataStyle = null;
        this.styleId = null;
    }
}
