package org.act.soap.server.management.admin;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import org.apache.struts.action.*;

public class TreeControlTestAction extends Action {
    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws IOException, ServletException {
        getServlet().log("Entered TreeControlTestAction:perform()");
        String name = null;
        HttpSession session = request.getSession();
        TreeControl control =
            (TreeControl) session.getAttribute("treeControlTest");
                name = request.getParameter("tree");
        if (name != null) {
            getServlet().log("Tree expand/contract on " + name);
            TreeControlNode node = control.findNode(name);
            if (node != null){
                getServlet().log("Found Node: " + name);
                node.setExpanded(!node.isExpanded());
            }
        }else{
            getServlet().log("tree param is null");
        }
                name = request.getParameter("select");
        if (name != null) {
            getServlet().log("Select event on " + name);
            control.selectNode(name);
        }
                return (mapping.findForward("SetUpTree"));
    }
}
