package org.act.soap.server.management.admin.deploy;
import javax.management.*;
import javax.servlet.*;
import javax.servlet.http.*;
import org.act.soap.server.management.admin.*;
import org.apache.struts.action.*;
import org.apache.struts.upload.FormFile;

public class DeployAction extends Action {
    public ActionForward execute(ActionMapping
                                 mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws ServletException
    {
                WSARUpLoadForm uploadForm = (WSARUpLoadForm)form;
        String serviceName = uploadForm.getServiceName();
        FormFile file = uploadForm.getWsarFile();
                MBeanServer mbServer = Utils.getMBeanServer();
        ObjectName mbName = null;
        try {
            mbName = Utils.getXLinkerMBeanName();
        }
        catch (MalformedObjectNameException ex) {
            throw new ServletException(ex);
        }
                Boolean isDeploy;
        try {
            isDeploy = (Boolean)mbServer.invoke(mbName, "isWebServiceDeployed",
                                                new Object[] {serviceName},
                                                new String[] {"java.lang.String"});
        } catch(Exception e) {
            throw new ServletException(e);
        }
        if (isDeploy.booleanValue()) {
            request.setAttribute("warning", "deploy.service.alreadydeployed");
            return mapping.findForward("DeployFailed");
        }
                try {
            mbServer.invoke(mbName, "deploy", new Object[]{serviceName,
                                                           file.getFileData()},
                                                           new String[] {"java.lang.String", "[B"});
        } catch(Exception e) {
            throw new ServletException(e);
        }
                file.destroy();
                return mapping.findForward("DeploySuccess");
    }
}
