package org.act.soap.server.management.admin.deploy;
import javax.management.*;
import javax.servlet.*;
import javax.servlet.http.*;
import org.act.soap.server.management.admin.*;
import org.apache.struts.action.*;

public class UndeployAction extends Action {
    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws ServletException
    {
                String serviceName = request.getParameter("service");
                MBeanServer mbServer = Utils.getMBeanServer();
        ObjectName mbName = null;
        try {
            mbName = Utils.getXLinkerMBeanName();
        }
        catch (MalformedObjectNameException ex) {
            throw new ServletException(ex);
        }
                try {
            mbServer.invoke(mbName, "undeploy", new Object[]{serviceName},
                            new String[] {"java.lang.String"});
        } catch(Exception e) {
            throw new ServletException(e);
        }
                return mapping.findForward("UndeploySuccess");
    }
}
