package org.act.soap.server.management.admin.service;
import org.apache.struts.action.*;
import javax.servlet.http.*;
import javax.management.*;
import org.act.soap.server.management.admin.Utils;
import javax.servlet.ServletException;
import javax.wsdl.*;
import java.util.*;

public class ShowServiceDetailAction extends Action {
    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws ServletException
    {
                String serviceName = request.getParameter("service");
                MBeanServer mbServer = Utils.getMBeanServer();
        ObjectName mbName = null;
        try {
            mbName = Utils.getXLinkerMBeanName();
        }
        catch (MalformedObjectNameException ex) {
            throw new ServletException(ex);
        }
                List ops = null;
        try {
            ops = (List)mbServer.invoke(mbName, "getOperations",
                                               new Object[] {serviceName},
                                               new String[] {"java.lang.String"});
        } catch(Throwable e) {
            e.printStackTrace();
            throw new ServletException(e);
        }
                request.setAttribute("operations", ops);
        request.setAttribute("serviceName", serviceName);
                return mapping.findForward("ServiceDetail");
    }
}
