package org.act.soap.server.secmanager.keymanager;
import java.security.*;
import java.security.cert.*;
import java.util.*;

public interface KeyDevice {
    
    public void setDeviceName ( String name );
    public String getDeviceName ();
    public String getType ();
    public void setType ( String type ) throws Exception;
    public String getClassName ();
    public void setClassName ( String className ) throws Exception;
    public void setKeyStoreFile ( String keyStoreFile ) throws Exception;
    public String getKeyStoreFile ();
    public void setKeyStorePassWord ( String keyStorePassWord ) throws
        Exception;
    public String getKeyStorePassWord ();
    public String getCredType ();
    public void setCredType ( String credType ) throws Exception;
    public Vector getCredTypes ();
    public void setCredTypes ( Vector credTypes );
    
    public Object getCredential ( String credType, String keyTags[] );
    
    public boolean validateCert ( X509Certificate cert );
    
    public boolean importCertificate ( String alias, X509Certificate cert );
    
    public boolean importKeyPair ( String alias, KeyPair kp,
                                   X509Certificate cert, String passwd );
    
    public Vector EnumerationKey ();
    
    public boolean removeKey ( String keyname );
}
