package org.act.soap.server.transport.http;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.act.soap.server.transport.TransportContext;
import org.act.soap.util.Constants;

public class HTTPTransportContext
    extends TransportContext {
  
  public HTTPTransportContext() {
        super.setProtocolName(Constants.HTTP_PROTOCOL_NAME);
  }
  
  private HttpServletRequest gHttpServletRequest = null;
  
  private HttpServletResponse gHttpServletResponse = null;
  
  public HttpServletRequest getHttpServletRequest() {
    return this.gHttpServletRequest;
  }
  
  public HttpServletResponse getHttpServletResponse() {
    return this.gHttpServletResponse;
  }
  
  public void setHttpServletRequest(HttpServletRequest req) {
    this.gHttpServletRequest = req;
  }
  
  public void setHttpServletResponse(HttpServletResponse res) {
    this.gHttpServletResponse = res;
  }
}
