package org.act.soap.util;
import javax.xml.namespace.QName;
import javax.xml.soap.*;

public class TMConstants {
  
  public static final String ENCODING_MECHANISMTYPE = "ACT SAAJ";
  public static final String NS_PREFIX_WSDL = "wsdl";
  public static final String NS_URI_WSDL = "http://schemas.xmlsoap.org/wsdl/";
  
  public static final String NS_XSI_TYPE_PREFIX = "xsi";
  public static final String NS_XSI_TYPE_LOCALNAME = "type";
  public static final String NS_XSI_NIL_LOCALNAME = "nil";
  public static final String ATTR_ARRAY_TYPE = "arrayType";
  public static final String URI_2001_SCHEMA_XSI =
      "http://www.w3.org/2001/XMLSchema-instance";
    public static final String URI_1999_SCHEMA_XSD =
      "http://www.w3.org/1999/XMLSchema";
  public static final String URI_2000_SCHEMA_XSD =
      "http://www.w3.org/2000/10/XMLSchema";
  public static final String URI_2001_SCHEMA_XSD =
      "http://www.w3.org/2001/XMLSchema";
  public static final String URI_DEFAULT_SCHEMA_XSD = URI_2001_SCHEMA_XSD;
  public static final String[] URIS_SCHEMA_XSD = {
      URI_2001_SCHEMA_XSD,
      URI_2000_SCHEMA_XSD,
      URI_1999_SCHEMA_XSD
  };
  public static final String URI_DEFAULT_SCHEMA_XSD_PREFIX = "xsd";
    public static final String URI_SOAP11_ENC =
      "http://schemas.xmlsoap.org/soap/encoding/";
  public static final String URI_SOAP12_ENC =
      "http://www.w3.org/2002/12/soap-encoding";
  public static final String URI_SOAP12_NOENC =
      "http://www.w3.org/2002/12/soap-envelope/encoding/none";
  public static final String URI_DEFAULT_SOAP_ENC = URI_SOAP11_ENC;
  public static final String NS_URI_XML =
      "http://www.w3.org/XML/1998/namespace";
  public static final String[] URIS_SOAP_ENC = {
      URI_SOAP11_ENC,
      URI_SOAP12_ENC,
  };
  public static final String URI_DEFAULT_SOAP_ENC_PREFIX = "soapenc";
  public static final String URI_LITERAL_ENC = "";
  public static final QName QNAME_LITERAL_ITEM = new QName(URI_LITERAL_ENC,
      "item");
  public static final String LITERAL_ITEM = "item";
    public static final String URI_ACT_SOAP = "http://act.buaa.edu.cn/encoding/";
  public static final String URI_ACT_SOAP_PREFIX = "actsoapenc";
    public static final QName XSD_STRING = new QName(URI_DEFAULT_SCHEMA_XSD,
      "string", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_BOOLEAN = new QName(URI_DEFAULT_SCHEMA_XSD,
      "boolean", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_DOUBLE = new QName(URI_DEFAULT_SCHEMA_XSD,
      "double", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_FLOAT = new QName(URI_DEFAULT_SCHEMA_XSD,
                                                  "float",
                                                  URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_INT = new QName(URI_DEFAULT_SCHEMA_XSD, "int",
                                                URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_INTEGER = new QName(URI_DEFAULT_SCHEMA_XSD,
      "integer", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_LONG = new QName(URI_DEFAULT_SCHEMA_XSD, "long",
                                                 URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_SHORT = new QName(URI_DEFAULT_SCHEMA_XSD,
                                                  "short",
                                                  URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_BYTE = new QName(URI_DEFAULT_SCHEMA_XSD, "byte",
                                                 URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_DECIMAL = new QName(URI_DEFAULT_SCHEMA_XSD,
      "decimal", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_BASE64 = new QName(URI_DEFAULT_SCHEMA_XSD,
      "base64Binary", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_HEXBIN = new QName(URI_DEFAULT_SCHEMA_XSD,
      "hexBinary", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_ANYTYPE = new QName(URI_DEFAULT_SCHEMA_XSD,
      "anyType", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_ANY = new QName(URI_DEFAULT_SCHEMA_XSD, "any",
                                                URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_QNAME = new QName(URI_DEFAULT_SCHEMA_XSD,
                                                  "QName",
                                                  URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_DATETIME = new QName(URI_DEFAULT_SCHEMA_XSD,
      "dateTime", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_DATE = new QName(URI_DEFAULT_SCHEMA_XSD, "date",
                                                 URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_TIME = new QName(URI_DEFAULT_SCHEMA_XSD, "time",
                                                 URI_DEFAULT_SCHEMA_XSD_PREFIX);
      public static final QName XSD_NORMALIZEDSTRING = new QName(
      URI_2001_SCHEMA_XSD, "normalizedString", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_TOKEN = new QName(URI_2001_SCHEMA_XSD, "token",
                                                  URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_UNSIGNEDLONG = new QName(URI_2001_SCHEMA_XSD,
      "unsignedLong", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_UNSIGNEDINT = new QName(URI_2001_SCHEMA_XSD,
      "unsignedInt", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_UNSIGNEDSHORT = new QName(URI_2001_SCHEMA_XSD,
      "unsignedShort", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_UNSIGNEDBYTE = new QName(URI_2001_SCHEMA_XSD,
      "unsignedByte", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_POSITIVEINTEGER = new QName(URI_2001_SCHEMA_XSD,
      "positiveInteger", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_NEGATIVEINTEGER = new QName(URI_2001_SCHEMA_XSD,
      "negativeInteger", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_NONNEGATIVEINTEGER = new QName(
      URI_2001_SCHEMA_XSD, "nonNegativeInteger", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_NONPOSITIVEINTEGER = new QName(
      URI_2001_SCHEMA_XSD, "nonPositiveInteger", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_YEARMONTH = new QName(URI_2001_SCHEMA_XSD,
      "gYearMonth", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_MONTHDAY = new QName(URI_2001_SCHEMA_XSD,
      "gMonthDay", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_YEAR = new QName(URI_2001_SCHEMA_XSD, "gYear",
                                                 URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_MONTH = new QName(URI_2001_SCHEMA_XSD, "gMonth",
                                                  URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_DAY = new QName(URI_2001_SCHEMA_XSD, "gDay",
                                                URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_DURATION = new QName(URI_2001_SCHEMA_XSD,
      "duration", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_NAME = new QName(URI_2001_SCHEMA_XSD, "Name",
                                                 URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_NCNAME = new QName(URI_2001_SCHEMA_XSD,
      "NCName", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_NMTOKEN = new QName(URI_2001_SCHEMA_XSD,
      "NMTOKEN", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_NMTOKENS = new QName(URI_2001_SCHEMA_XSD,
      "NMTOKENS", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_NOTATION = new QName(URI_2001_SCHEMA_XSD,
      "NOTATION", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_ENTITY = new QName(URI_2001_SCHEMA_XSD,
      "ENTITY", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_ENTITIES = new QName(URI_2001_SCHEMA_XSD,
      "ENTITIES", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_IDREF = new QName(URI_2001_SCHEMA_XSD, "IDREF",
                                                  URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_IDREFS = new QName(URI_2001_SCHEMA_XSD,
      "IDREFS", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_ANYURI = new QName(URI_2001_SCHEMA_XSD,
      "anyURI", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_LANGUAGE = new QName(URI_2001_SCHEMA_XSD,
      "language", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_ID = new QName(URI_2001_SCHEMA_XSD, "ID",
                                               URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XSD_SCHEMA = new QName(URI_2001_SCHEMA_XSD,
      "schema", URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName XML_LANG = new QName(URI_2001_SCHEMA_XSD, "lang",
                                                 URI_DEFAULT_SCHEMA_XSD_PREFIX);
  public static final QName SOAP_BASE64 = new QName(URI_DEFAULT_SOAP_ENC,
      "base64", URI_DEFAULT_SOAP_ENC_PREFIX);
  public static final QName SOAP_BASE64BINARY = new QName(URI_DEFAULT_SOAP_ENC,
      "base64Binary", URI_DEFAULT_SOAP_ENC_PREFIX);
  public static final QName SOAP_STRING = new QName(URI_DEFAULT_SOAP_ENC,
      "string", URI_DEFAULT_SOAP_ENC_PREFIX);
  public static final QName SOAP_BOOLEAN = new QName(URI_DEFAULT_SOAP_ENC,
      "boolean", URI_DEFAULT_SOAP_ENC_PREFIX);
  public static final QName SOAP_DOUBLE = new QName(URI_DEFAULT_SOAP_ENC,
      "double", URI_DEFAULT_SOAP_ENC_PREFIX);
  public static final QName SOAP_FLOAT = new QName(URI_DEFAULT_SOAP_ENC,
      "float", URI_DEFAULT_SOAP_ENC_PREFIX);
  public static final QName SOAP_INT = new QName(URI_DEFAULT_SOAP_ENC, "int",
                                                 URI_DEFAULT_SOAP_ENC_PREFIX);
  public static final QName SOAP_LONG = new QName(URI_DEFAULT_SOAP_ENC, "long",
                                                  URI_DEFAULT_SOAP_ENC_PREFIX);
  public static final QName SOAP_SHORT = new QName(URI_DEFAULT_SOAP_ENC,
      "short", URI_DEFAULT_SOAP_ENC_PREFIX);
  public static final QName SOAP_BYTE = new QName(URI_DEFAULT_SOAP_ENC, "byte",
                                                  URI_DEFAULT_SOAP_ENC_PREFIX);
  public static final QName SOAP_INTEGER = new QName(URI_DEFAULT_SOAP_ENC,
      "integer", URI_DEFAULT_SOAP_ENC_PREFIX);
  public static final QName SOAP_DECIMAL = new QName(URI_DEFAULT_SOAP_ENC,
      "decimal", URI_DEFAULT_SOAP_ENC_PREFIX);
  public static final QName SOAP_ARRAY = new QName(URI_DEFAULT_SOAP_ENC,
      "Array", URI_DEFAULT_SOAP_ENC_PREFIX);
  public static final QName SOAP_ARRAY12 = new QName(URI_SOAP12_ENC, "Array",
      URI_DEFAULT_SOAP_ENC_PREFIX);
    public static final QName QNAME_TYPE_COLLECTION = new QName(
      URI_ACT_SOAP, "collection", URI_ACT_SOAP_PREFIX);
  public static final QName QNAME_TYPE_LIST = new QName(URI_ACT_SOAP,
      "List", URI_ACT_SOAP_PREFIX);
  public static final QName QNAME_TYPE_ARRAY_LIST = new QName(
      URI_ACT_SOAP, "arrayList", URI_ACT_SOAP_PREFIX);
  public static final QName QNAME_TYPE_DATAHANDLER = new QName(URI_ACT_SOAP,
    "DataHandler", URI_ACT_SOAP_PREFIX);
  public static final QName SOAP_MAP = new QName(URI_ACT_SOAP, "Map",
                                                 URI_ACT_SOAP_PREFIX);
  public static final QName SOAP_VECTOR = new QName(URI_ACT_SOAP,
      "Vector", URI_ACT_SOAP_PREFIX);
  public static final String ANYCONTENT = "_any";
  public static final QName QNAME_MAP_ITEM = new QName("", "item");
  public static final QName QNAME_MAP_KEY = new QName("", "key");
  public static final QName QNAME_MAP_VALUE = new QName("", "value");
  public static final String DEFAULT_ENCODINGSTYLE =
      "http://schemas.xmlsoap.org/soap/encoding/";
  
  public static final String SCHEMA = "schema";
  public static final String SCHEMA_COMPLEXTYPE = "complexType";
  public static final String SCHEMA_SIMPLETYPE = "simpleType";
  public static final String SCHEMA_RESTRICTION = "restriction";
  public static final String SCHEMA_BASE = "base";
  public static final String SCHEMA_NAME = "name";
  public static final String SCHEMA_SEQUENCE = "sequence";
  public static final String SCHEMA_ELEMENT = "element";
  public static final String SCHEMA_ITEM = "item";
  public static final String SCHEMA_MINOCCURS = "minOccurs";
  public static final String SCHEMA_MAXOCCURS = "maxOccurs";
  public static final String SCHEMA_UNBOUNDED = "unbounded";
  public static final String SCHEMA_0 = "0";
  public static final String SCHEMA_TYPE = "type";
  public static final String SCHEMA_ANYTYPE = URI_DEFAULT_SCHEMA_XSD_PREFIX +
      ":anyType";
  public static final String SCHEMA_NILLABLE = "nillable";
  public static final String TARGET_NAMESPACE = "targetNamespace";
  public static SOAPFactory SOAPFACTORY_INSTANCE = null;
  static {
    try {
      System.setProperty("javax.xml.soap.SOAPFactory",
                         "org.act.soap.message.ver1_1.SOAPFactory1_1Impl");
      SOAPFACTORY_INSTANCE = SOAPFactory.newInstance();
    }
    catch (Exception ex) {}
  }
  public static Name NAME_XSITYPE = null;
  static {
    try {
      NAME_XSITYPE = SOAPFACTORY_INSTANCE.createName(TMConstants.
          NS_XSI_TYPE_LOCALNAME,
          TMConstants.NS_XSI_TYPE_PREFIX,
          TMConstants.URI_2001_SCHEMA_XSI);
    }
    catch (Exception ex) {}
  }
  public static Name NAME_NIL = null;
  static {
    try {
      NAME_NIL = SOAPFACTORY_INSTANCE.createName(TMConstants.
                                                 NS_XSI_NIL_LOCALNAME,
                                                 TMConstants.NS_XSI_TYPE_PREFIX,
                                                 TMConstants.
                                                 URI_2001_SCHEMA_XSI);
    }
    catch (Exception ex) {}
  }
  public static Name NAME_SOAPENCARRAY_TYPE = null;
  static {
    try {
      NAME_SOAPENCARRAY_TYPE = SOAPFACTORY_INSTANCE.createName(
          TMConstants.ATTR_ARRAY_TYPE,
          TMConstants.URI_DEFAULT_SOAP_ENC_PREFIX,
          TMConstants.URI_DEFAULT_SOAP_ENC);
    }
    catch (Exception ex) {}
  }
}
