package org.act.soap.util.i18n;
import java.util.ResourceBundle;
import java.util.Locale;
import java.io.*;
import java.util.*;

public class ActResBundle {
  
  static ResourceBundle myResources = ResourceBundle.getBundle("ActResourceFile");
  
  public static String getString(String key){
    try {
      String rs = new String(myResources.getString(key).getBytes("ISO8859-1"));
      return rs;
    }
    catch (UnsupportedEncodingException ex) {
      ex.printStackTrace();
      return null;
    }
  }
  
  public static String getString(String key,String[] args){
    try {
      String rs = new String(myResources.getString(key).getBytes("ISO8859-1"));
      return java.text.MessageFormat.format(rs, args);
    }
    catch (UnsupportedEncodingException ex) {
      ex.printStackTrace();
      return null;
    }
  }
}
