package org.act.soap.util.i18n;
import java.util.MissingResourceException;

public class Message {
  
    public static String getMessage(String key)
        throws MissingResourceException
    {
        return ActResBundle.getString(key);
    }
    
    public static String getMessage(String key, String[] args)
        throws MissingResourceException
    {
        return ActResBundle.getString(key, args);
    }
    
    public static String getMessage(String key, String arg)
        throws MissingResourceException
    {
        String[] args =  {arg};
        return ActResBundle.getString(key, args);
    }
    
    public static String getMessage(String key, String arg1, String arg2)
        throws MissingResourceException
    {
        String[] args =  {arg1, arg2};
        return ActResBundle.getString(key, args);
    }
    
    public static String getMessage(String key, String arg1, String arg2,String arg3)
        throws MissingResourceException
    {
        String[] args =  {arg1, arg2,arg3};
        return ActResBundle.getString(key, args);
    }
}