
package org.act.soap.wsdd;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;

public abstract class WSDDElement
    implements java.io.Serializable {
    
    protected static final String WSDD_URI =
        "http://act.buaa.edu.cn/soap/wsdd";
    
    protected Documentation documentation = null;
    
    public String getDocumentetaion () {
        String comment = null;
        if (null != this.documentation) {
            comment = this.documentation.getDocumentation();
        }
        return comment;
    }
    
    public void setDocumentation (String comment) {
        if (null != this.documentation) {
            this.documentation.setDocumentation(comment);
        }
        else {
            this.documentation = new Documentation(comment);
        }
    }
    
    public static boolean isValidElement (Node node, String tagName) {
        boolean isTrue = true;
        if (null == node) {
            isTrue = false;
        }
        else if (node.getNodeType() != Node.ELEMENT_NODE) {
            isTrue = false;
        }
        else if (!(node.getNodeName().equals(tagName))
                    || !(WSDD_URI.equals(node.getNamespaceURI()))) {
            isTrue = false;
        }
        return isTrue;
    }
    
    public abstract Element toElement (Document doc);
}
