package org.act.xdsec.extension.algorithm;
import org.act.xdsec.util.*;
import org.w3c.dom.*;

public class CanonicalAlgorithmImpl
    extends CanonicalizationAlgorithm {
    public byte[] canonicalize ( NodeList input ) {
        return XMLUtils.canonicalizeNodeList( input, withComment() );
    }
    
    public byte[] canonicalizeNode ( Node input ) {
        return XMLUtils.canonicalizeNode( input, withComment() );
    }
    
    private boolean withComment () {
        if ( getURI().equals( Constant.ALG_CANONICALIZATION_URI ) ) {
            return false;
        }
        else if ( getURI().equals( Constant.ALG_CANONICALIZATIONWC_URI ) ) {
            return true;
        }
                return false;
    }
}
