
package org.act.xdsec.syntax.dsig;
import java.util.*;
import org.act.xdsec.util.*;
import org.w3c.dom.*;

class XSignatureProperties {
    private Document doc;
    private String id;
    private Vector properties;
    
    public void setDocument ( Document doc ) {
        this.doc = doc;
    }
    
    public void setId ( String id ) {
        this.id = id;
    }
    
    public void addXProperty ( XProperty property ) {
        if ( this.properties == null ) {
            this.properties = new Vector();
        }
        properties.add( property.toElement( doc ) );
    }
    
    public void addEProperty ( Element e ) {
        if ( this.properties == null ) {
            this.properties = new Vector();
        }
        properties.add( e );
    }
    
    public Element toElement () {
                        Element rtn = XMLUtils.createElementInSignatureSpace( doc,
            Constant.TAG_PROPERTIES_NAME );
        if ( this.properties != null ) {
            rtn.appendChild( doc.createTextNode( Constant.X_CTRLF ) );
            for ( int i = 0; i < properties.size(); i++ ) {
                rtn.appendChild( ( Node ) properties.elementAt( i ) );
                rtn.appendChild( doc.createTextNode( Constant.X_CTRLF ) );
            }
        }
        return rtn;
    }
}
