package org.act.xdsec.syntax.enc;

import org.act.xdsec.util.*;
import org.w3c.dom.*;

public class XEncryptedData
    extends XEncryptedItem {
    String type;
    public void setType ( String stype ) {
        this.type = stype;
    }
        public Element toElement ( Document doc ) {
                Element data = XMLUtils.createElementInEncryptionSpace( doc,
            Constant.ENC_ENCRYPTEDDATA_TAG );
                data.setAttribute( Constant.ATT_XMLNS + ":"
                           + Constant.PREFIX_ENCRYPTION,
                           Constant.NS_XMLENC_NAME );
        itemToElement( doc, data );
        if ( this.type != null ) {
            data.setAttribute( Constant.ATT_TYPE, this.type );
        }
        return data;
    }
}
