
package org.act.xdsec.syntax.keyinfo;
import org.act.xdsec.util.*;
import org.w3c.dom.*;

public class XMGMT
    implements XKeyType {
    
    String content;
    
    public XMGMT ( String content ) {
        setContent( content );
    }
    
    public void setContent ( String content ) {
        this.content = content;
    }
    
    public Element toElement ( Document doc ) {
        Element el;
                el = XMLUtils.createElementInSignatureSpace( doc,
            Constant.TAG_MGMTDATA_NAME );
        el.appendChild( doc.createTextNode( Constant.X_CTRLF ) );
        el.appendChild( doc.createTextNode( this.content ) );
        el.appendChild( doc.createTextNode( Constant.X_CTRLF ) );
        return el;
    }
}
