package org.act.soap.authen;
import java.util.Set;
import org.act.soap.soapsec.SOAPSecurity;
import org.act.soap.server.secmanager.UserManager;
import org.act.soap.server.MessageContext;
import org.act.soap.util.logging.impl.Jdk14Logger;
import org.act.soap.util.i18n.Message;
import org.act.soap.util.logging.Log;
import org.act.soap.util.logging.LogFactory;
import org.act.soap.server.config.ConfigManager;

public class GuestLoginModule implements LoginModule {
  
  private static Log log = LogFactory.getLog(GuestLoginModule.class.getName());
  
  public GuestLoginModule() {
  }
  
  public boolean login( LoginContext loginContext ) {
            try {
        UserManager usermanager = ConfigManager.getInstance().getUserManager();
      }
      catch (Exception ex) {
      }
            SOAPSecurity soapsec = loginContext.getSOAPSecurity();
      if( soapsec != null ) {
          if( soapsec.getSecurityTokens() != null && soapsec.getSecurityTokens().length > 0 )
              return false;           else if( soapsec.getSignatures() != null && soapsec.getSignatures().length > 0 )
              return false;
      }
            LoginPrincipal userPrincipal = new LoginPrincipal( String.valueOf( UserManager.GUEST_USERID ) );
      userPrincipal.setAuthType( "GUEST" );
      Set principals = loginContext.getSubject().getPrincipals();
      principals.add( userPrincipal );
      System.out.println ( "************************ ֤ģ ***********************" );
      System.out.println ( "   ֤ɹΪGuestUserID = " + UserManager.GUEST_USERID );
      System.out.println ( "*********************************************************" );
      return true;
  }
  
  public boolean logout(LoginContext loginContext) throws LoginException {
      return false;
  }
}
