package org.act.soap.client.handler;
import javax.xml.namespace.QName;
import javax.xml.rpc.handler.HandlerInfo;
import org.act.soap.client.MessageContext;

public abstract class BasicHandler implements Handler {
    
    protected String mType = null;
    
    protected HandlerInfo mHi = null;
    
    public BasicHandler () {
    }
    
    public String getType () {
        return this.mType;
    }
    
    public void setType ( final String type ) {
        this.mType = type;
    }
    
    public QName[] getHeaders () {
        return null;
    }
    
    public void init ( HandlerInfo hi )throws Exception {
        this.mHi = hi;
    }
    
    public void cleanup () {
    }
    
    public abstract boolean handleRequest ( MessageContext msgContext ) throws Exception;
    
    public abstract boolean handleResponse ( MessageContext msgContext ) throws Exception;
}
