package org.act.soap.client.handler;
import java.util.HashMap;
import java.util.List;
import javax.xml.namespace.QName;

public class HandlerRegistry implements javax.xml.rpc.handler.HandlerRegistry{
    
    HashMap handlerChains = new HashMap();

    
    public HandlerRegistry(){
    }


    
    public List getHandlerChain( QName portName ){
        List ret = (List)handlerChains.get( portName );
        if( null == ret ){
            ret = new org.act.soap.client.handler.HandlerChain();
            this.setHandlerChain( portName, ret );
        }
        return ret;
    }
    
    public void setHandlerChain( QName portName, List chain ){
        handlerChains.put( portName, chain );
    }

}
