package org.act.soap.encoding.ser;
import javax.xml.namespace.QName;
import javax.xml.soap.SOAPElement;
import org.act.soap.encoding.DeserializationContextImpl;
import org.act.soap.encoding.DeserializerImpl;
import org.act.soap.encoding.TypeMappingException;
import org.act.soap.util.Base64Utils;

public class Base64Deserializer
    extends DeserializerImpl {
    
    public Base64Deserializer () {
    }
    
    public Object deserialize (SOAPElement element, QName xmlType,
                               Class javaType,
                               DeserializationContextImpl context) throws
        TypeMappingException {
                if (super.isNil(element)) {
            return null;
        }
                String strNodeValue = element.getValue();
                return makeValue(strNodeValue, javaType);
    }
    
    private Object makeValue (String source, Class javaType) {
        Object value = null;
                if (null == source) {
            return new byte[0];
        }
        value = Base64Utils.base64Decode(source);
                if (null == value) {
            value = new byte[0];
        }
        return value;
    }
}
