package org.act.soap.message;
import java.util.Iterator;
import javax.xml.soap.Detail;
import javax.xml.soap.DetailEntry;
import javax.xml.soap.Name;
import javax.xml.soap.SOAPException;

public abstract class DetailImpl extends FaultElementImpl implements Detail {
    
    public DetailImpl (SOAPDocumentImpl ownerDoc, Name qname) {
        super(ownerDoc, qname);
    }
    
    public final DetailEntry addDetailEntry (Name name) throws SOAPException {
        DetailEntry entry = createDetailEntry(name);
        appendChild(entry);
        return entry;
    }
    
    public final Iterator getDetailEntries () {
        
        return this._getChildElements();
    }
    
    protected abstract DetailEntry createDetailEntry(Name name);
}
