package org.act.soap.message.ver1_1;
import javax.xml.soap.Name;
import javax.xml.soap.SOAPBodyElement;
import javax.xml.soap.SOAPFault;
import org.act.soap.message.BodyImpl;
import org.act.soap.message.NameImpl;
import org.act.soap.message.SOAPDocumentImpl;

public final class Body1_1Impl extends BodyImpl {
    
    public Body1_1Impl (SOAPDocumentImpl ownerDocument, String prefix) {  
        super(ownerDocument, NameImpl.createBody1_1Name(prefix));
    }
    
    protected SOAPFault createFault () {
        return new Fault1_1Impl((SOAPDocumentImpl) getOwnerDocument(), 
                                getPrefix());
    }
    
    protected SOAPBodyElement createBodyElement (Name name) {
        return new BodyElement1_1Impl((SOAPDocumentImpl) getOwnerDocument(), 
                                      name);
    }
    
    protected Name getFaultName () {
        return NameImpl.createFault1_1Name(null);
    }
}
