package org.act.soap.message.ver1_1;
import javax.xml.soap.DetailEntry;
import javax.xml.soap.Name;
import org.act.soap.message.DetailImpl;
import org.act.soap.message.NameImpl;
import org.act.soap.message.SOAPDocumentImpl;

public final class Detail1_1Impl extends DetailImpl {
    
    public Detail1_1Impl (SOAPDocumentImpl ownerDoc, String prefix) {
        super(ownerDoc, NameImpl.createFaultDetail1_1Name(prefix));
    }
    
    public Detail1_1Impl (SOAPDocumentImpl ownerDoc) {
        super(ownerDoc, NameImpl.FAULT_DETAIL_11_NAME);
    }
    
    protected DetailEntry createDetailEntry (Name name) {
        return new DetailEntry1_1Impl((SOAPDocumentImpl) getOwnerDocument(),
                                      name);
    }
}
