package org.act.soap.message.ver1_1;
import javax.xml.soap.SOAPException;
import org.act.soap.message.FaultElementImpl;
import org.act.soap.message.NameImpl;
import org.act.soap.message.SOAPDocumentImpl;

public final class FaultActor1_1Impl extends FaultElementImpl {
    
    public FaultActor1_1Impl (SOAPDocumentImpl ownerDoc, String prefix) {
        super(ownerDoc, NameImpl.createFaultActor1_1Name(prefix));
    }
    
    public FaultActor1_1Impl (SOAPDocumentImpl ownerDoc) {
        super(ownerDoc, NameImpl.FAULT_ACTOR_11_NAME);
    }
    
    final void setFaultActorValue (String faultActor) throws SOAPException {
        this.setValue(faultActor);
    }
    
    final String getFaultActorValue () {
        return this.getValue();
    }
}
