package org.act.soap.message.ver1_1;
import javax.xml.soap.Name;
import javax.xml.soap.SOAPHeaderElement;
import org.act.soap.message.HeaderImpl;
import org.act.soap.message.NameImpl;
import org.act.soap.message.SOAPDocumentImpl;

public final class Header1_1Impl extends HeaderImpl {
    
    public Header1_1Impl (SOAPDocumentImpl ownerDocument, String prefix) {
        super(ownerDocument, NameImpl.createHeader1_1Name(prefix));
    }
    
    protected SOAPHeaderElement createHeaderElement (Name name) {  
        return new HeaderElement1_1Impl((SOAPDocumentImpl) getOwnerDocument(), 
                                        name);
    }
}
