package org.act.soap.message.ver1_2;
import javax.xml.soap.Name;
import javax.xml.soap.SOAPBodyElement;
import javax.xml.soap.SOAPFault;
import org.act.soap.message.BodyImpl;
import org.act.soap.message.NameImpl;
import org.act.soap.message.SOAPDocumentImpl;

public final class Body1_2Impl extends BodyImpl {
    
    public Body1_2Impl (SOAPDocumentImpl ownerDocument, String prefix) {  
        super(ownerDocument, NameImpl.createBody1_2Name(prefix));
    }
    
    protected SOAPFault createFault () {
        return new Fault1_2Impl((SOAPDocumentImpl) getOwnerDocument(), 
                                getPrefix());
    }
    
    protected SOAPBodyElement createBodyElement (Name name) {
        return 
            new BodyElement1_2Impl((SOAPDocumentImpl) getOwnerDocument(), name);
    }
    
    protected Name getFaultName () {
        return NameImpl.createFault1_2Name(null);
    }
}
