package org.act.soap.message.ver1_2;
import javax.xml.soap.Name;
import org.act.soap.message.HeaderElementImpl;
import org.act.soap.message.NameImpl;
import org.act.soap.message.SOAPDocumentImpl;

final class HeaderElement1_2Impl extends HeaderElementImpl {
    
    HeaderElement1_2Impl (SOAPDocumentImpl ownerDoc, Name name) {  
        super(ownerDoc, name);
    }
            
    public void setRelay (boolean relay) {
        if ( !relay )
            return;
        Name name = NameImpl.createAttr_Relay1_2Name(_getSOAPEnvPrefix());
        setAttributeNS(name.getURI(), name.getQualifiedName(), "true");
    }
    
    public boolean getRelay () {
        String value = getAttributeValue(
                    NameImpl.createAttr_Relay1_2Name(_getSOAPEnvPrefix()));
        
        return ( "true".equals(value) || "1".equals(value) ) ? true : false;
    }
    
            
    protected Name getAttrRoleOrActorName (String prefix) {
        return NameImpl.createAttr_Role1_2Name(prefix);
    }
    
    protected Name getAttrMustUnderstandName (String prefix) {
        return NameImpl.createAttr_MustUnderstand1_2Name(prefix);
    }
}
