package org.act.soap.server;
import org.act.soap.server.exception.SOAPFaultException;

public class InvalidWSOException
    extends SOAPFaultException {
    
    public InvalidWSOException () {
    }
    
    public InvalidWSOException (String message) {
        super(message);
    }
    
    public InvalidWSOException (Throwable cause) {
        super(cause);
    }
    
    public InvalidWSOException (String message, Throwable cause) {
        super(message, cause);
    }
    
    public InvalidWSOException (String message, 
                                Throwable cause, 
                                String newcode) {
        super(message, cause);
        this.code = newcode;
    }
}
