package org.act.soap.server.deploy;
import java.io.Serializable;
import java.net.URL;
import org.act.soap.wsdd.Deployment;

public class DeployInfo
    implements Serializable {
    
    private URL gDestination = null;
    
    private long gLastModified = 0;
    
    private String gServiceName = null;
    
    private URL gSource = null;
    
    private Deployment gWsddDeployment = null;
    
    public DeployInfo () {
    }
    
    public URL getDestination () {
        return this.gDestination;
    }
    
    public long getLastModified () {
        return this.gLastModified;
    }
    
    public String getServiceName () {
        return this.gServiceName;
    }
    
    public URL getSource () {
        return this.gSource;
    }
    
    public Deployment getWSDDDeployment () {
        return this.gWsddDeployment;
    }
    
    public void setDestination (URL destination) {
        this.gDestination = destination;
    }
    
    public void setLastModified (long lastModified) {
        this.gLastModified = lastModified;
    }
    
    public void setServiceName (String serviceName) {
        this.gServiceName = serviceName;
    }
    
    public void setSource (URL source) {
        this.gSource = source;
    }
    
    public void setWSDDDeployment (Deployment wsddDeployment) {
        this.gWsddDeployment = wsddDeployment;
    }
}
