package org.act.soap.server.exception;
import java.lang.Exception;

public class SOAPFaultException extends ServerInternalException{
    
    protected String code = "Server";
    
    public SOAPFaultException() {
    }
    
    public SOAPFaultException(String message) {
        super(message);
    }
    
    public SOAPFaultException(Throwable cause) {
        super(cause);
    }
    
    public SOAPFaultException(String message, Throwable cause) {
        super(message, cause);
    }
    
    public SOAPFaultException(String message, Throwable cause, String newcode)
    {
        super(message, cause);
        this.code = newcode;
    }
    
    public void setCode(String newCode){
        this.code = newCode;
    }
    
    public String getCode(){
        return this.code;
    }
}
