package org.act.soap.server.management.admin;
import java.io.IOException;
import java.net.URLEncoder;
import java.util.ArrayList;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.BodyTagSupport;

public class ActionsTag extends BodyTagSupport {
        
    protected static final String FUNCTION_TAG =
        "org.apache.webapp.admin.ActionsTag.FUNCTION_TAG";
        
    protected ArrayList labels = new ArrayList();
    
    protected ArrayList selecteds = new ArrayList();
    
    protected ArrayList disableds = new ArrayList();
    
    protected ArrayList urls = new ArrayList();
        
    protected int size = 1;
    public int getSize() {
        return (this.size);
    }
    public void setSize(int size) {
        this.size = size;
    }
    
    protected String style = null;
    public String getStyle() {
        return (this.style);
    }
    public void setStyle(String style) {
        this.style = style;
    }
    
    protected String label = null;
    public String getLabel() {
        return (this.label);
    }
    public void setLabel(String label) {
        this.label = label;
    }
        public int doStartTag() throws JspException {
        this.labels.clear();
        this.selecteds.clear();
        this.urls.clear();
        return (EVAL_BODY_TAG);
    }
    
    public int doEndTag() throws JspException {
        JspWriter out = pageContext.getOut();
        try {
                        if (pageContext.getAttribute(FUNCTION_TAG) == null) {
                out.println();
                out.println("<script language=\"JavaScript\">");
                out.println("<!--");
                out.println("function IA_jumpMenu(targ,selObj) {");
                out.println("  dest = selObj.options[selObj.selectedIndex].value;");
                out.println("  if (dest.length > 0) {");
                out.println("    eval(targ+\".location='\"+dest+\"'\");");
                out.println("  }");
                out.println("}");
                out.println("//-->");
                out.println("</script>");
                out.println();
                pageContext.setAttribute(FUNCTION_TAG, Boolean.TRUE);
            }
                        if (label != null) {
                out.print("<label for=\"labelId\">");
                out.print(label);
                out.println("</label>");
            }
                        out.println();
            out.print("<select");
            if (size > 1) {
                out.print(" size=\"");
                out.print(size);
                out.print("\"");
            }
            if (style != null) {
                out.print(" class=\"");
                out.print(style);
                out.print("\"");
            }
            if (label != null) {
                out.print(" id=\"");
                out.print("labelId");
                out.print("\"");
            }
            out.print(" onchange=\"IA_jumpMenu('self',this)\"");
            out.println(">");
                        int n = labels.size();
            for (int i = 0; i < n; i++) {
                String label = (String) labels.get(i);
                boolean selected = ((Boolean) selecteds.get(i)).booleanValue();
                boolean disabled = ((Boolean) disableds.get(i)).booleanValue();
                String url = (String) urls.get(i);
                out.print("<option");
                if (selected)
                    out.print(" selected=\"selected\"");
                if (disabled)
                    out.print(" disabled=\"true\"");
                out.print(" value=\"");
                if (url != null)
                    out.print(url);
                out.print("\"");
                out.print(">");
                if (label != null)
                    out.print(label);
                out.println("</option>");
            }
                        out.println("</select>");
            out.println();
        } catch (IOException e) {
            throw new JspException(e);
        }
        return (EVAL_PAGE);
    }
    
    public void release() {
        this.labels.clear();
        this.selecteds.clear();
        this.urls.clear();
        this.size = 1;
        this.style = null;
    }
        
    void addAction(String label, boolean selected, boolean disabled, String url) {
        labels.add(label);
        selecteds.add(new Boolean(selected));
        disableds.add(new Boolean(disabled));
        urls.add(url);
    }
    }
