package org.act.soap.server.management.admin.Engine;
import javax.management.*;
import javax.servlet.*;
import javax.servlet.http.*;
import org.act.soap.server.management.admin.*;
import org.apache.struts.action.*;

public class SaveEngineAction extends Action {
    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws ServletException
    {
                MBeanServer mbServer = Utils.getMBeanServer();
        ObjectName mbName = null;
        try {
            mbName = Utils.getXLinkerMBeanName();
        }
        catch (MalformedObjectNameException ex) {
            throw new ServletException(ex);
        }
                EngineForm engineForm = (EngineForm) form;
        try {
            mbServer.setAttribute(mbName, new Attribute("EngineName", engineForm.getEngineName()));
            mbServer.setAttribute(mbName, new Attribute("EngineDescription", engineForm.getEngineDesc()));
            mbServer.setAttribute(mbName, new Attribute("MaxProcessors", new Integer(engineForm.getMaxProcessors())));
            mbServer.setAttribute(mbName, new Attribute("DeployDir", engineForm.getDeployDir()));
            mbServer.setAttribute(mbName, new Attribute("WorkingDir", engineForm.getWorkingDir()));
            mbServer.setAttribute(mbName, new Attribute("DeployerUpdateInterval", new Long(engineForm.getDeployerUpdateInterval())));
            mbServer.invoke(mbName, "saveEngineConfig", null, null);
        } catch(Exception e) {
            throw new ServletException(e);
        }
                return mapping.findForward("SavedSuccess");
    }
}
