package org.act.soap.server.management.admin.Engine;
import javax.management.*;
import javax.servlet.*;
import javax.servlet.http.*;
import org.act.soap.server.management.admin.*;
import org.act.soap.server.SOAPEngine;
import org.apache.struts.action.*;

public class StartEngineAction extends Action {
    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws ServletException
    {
                MBeanServer mbServer = Utils.getMBeanServer();
        ObjectName mbName = null;
        try {
            mbName = Utils.getXLinkerMBeanName();
        }
        catch (MalformedObjectNameException ex) {
            throw new ServletException(ex);
        }
                int state;
        try {
            state = ((Integer)mbServer.getAttribute(mbName, "EngineState")).intValue();
        } catch(Exception e) {
            throw new ServletException(e);
        }
                if (SOAPEngine.SOAPENGINE_STATE_STOPPED != state) {
            request.setAttribute("warning", "warning.engine.hasrunning");
            return mapping.findForward("StartFailed");
        }
                try {
            mbServer.invoke(mbName, "startEngine", null, null);
        } catch(Exception e) {
            throw new ServletException(e);
        }
        return mapping.findForward("StartSuccess");
    }
}
