package org.act.soap.server.management.admin.service;
import org.apache.struts.action.*;
import javax.servlet.http.*;
import org.act.soap.server.management.admin.Utils;
import javax.management.*;
import java.util.*;
import javax.servlet.ServletException;

public class ListServicesAction extends Action {
    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws ServletException
    {
                MBeanServer mbServer = Utils.getMBeanServer();
        ObjectName mbName = null;
        try {
            mbName = Utils.getXLinkerMBeanName();
        }
        catch (MalformedObjectNameException ex) {
            throw new ServletException(ex);
        }
                HashMap services = null;
        try {
            services = (HashMap) mbServer.getAttribute(mbName, "DeployedWebServices");
        } catch (Exception ex) {
            throw new ServletException(ex);
        }
                request.setAttribute("Services", services.keySet().toArray());
                return mapping.findForward("Services");
    }
}
