package org.act.soap.soapsec;

public class Constants {
        public static String NS_PRE_XMLNS = "xmlns";
    public static String NS_PRE_SOAP = "SOAP";
        public static String NS_PRE_SOAP_ENC = NS_PRE_SOAP + "-ENC";
    public static String NS_PRE_SOAP_SEC = NS_PRE_SOAP + "-SEC";
    public static String NS_PRE_SCHEMA_XSI = "xsi";
    public static String NS_PRE_SCHEMA_XSD = "xsd";
        public static final String NS_URI_XMLNS =
        "http://www.w3.org/2000/xmlns/";
    public static final String NS_URI_SOAP_ENV =
        "http://schemas.xmlsoap.org/soap/envelope/";
    public static final String NS_URI_SOAP_ENC =
        "http://schemas.xmlsoap.org/soap/encoding/";
    public static final String NS_URI_SOAP_SEC =
        "http://schemas.xmlsoap.org/soap/security/2000-12/";
    public static final String NS_URI_1999_SCHEMA_XSI =
        "http://www.w3.org/1999/XMLSchema-instance";
    public static final String NS_URI_1999_SCHEMA_XSD =
        "http://www.w3.org/1999/XMLSchema";
    public static final String NS_URI_2000_SCHEMA_XSI =
        "http://www.w3.org/2000/10/XMLSchema-instance";
    public static final String NS_URI_2000_SCHEMA_XSD =
        "http://www.w3.org/2000/10/XMLSchema";
    public static final String NS_URI_2001_SCHEMA_XSI =
        "http://www.w3.org/2001/XMLSchema-instance";
    public static final String NS_URI_2001_SCHEMA_XSD =
        "http://www.w3.org/2001/XMLSchema";
    public static final String NS_URI_CURRENT_SCHEMA_XSI =
        NS_URI_1999_SCHEMA_XSI;
    public static final String NS_URI_CURRENT_SCHEMA_XSD =
        NS_URI_1999_SCHEMA_XSD;
    public static final String NS_URI_XML_SOAP =
        "http://xml.apache.org/xml-soap";
    public static final String NS_URI_XML_SOAP_DEPLOYMENT =
        "http://xml.apache.org/xml-soap/deployment";
    public static final String NS_URI_LITERAL_XML =
        "http://xml.apache.org/xml-soap/literalxml";
    public static final String NS_URI_XMI_ENC =
        "http://www.ibm.com/namespaces/xmi";
        public static final String ELEM_ENVELOPE = "Envelope";
    public static final String ELEM_BODY = "Body";
    public static final String ELEM_HEADER = "Header";
    public static final String ELEM_FAULT = "Fault";
    public static final String ELEM_FAULT_CODE = "faultcode";
    public static final String ELEM_FAULT_STRING = "faultstring";
    public static final String ELEM_FAULT_ACTOR = "faultactor";
    public static final String ELEM_DETAIL = "detail";
    public static final String ELEM_FAULT_DETAIL_ENTRY = "detailEntry";
    public static final String ELEM_SIGNATURE = "Signature";
    public static final String ELEM_ENCRYPTEDKEY = "EncryptedKey";
    public static final String ELEM_REFERENCELIST = "ReferenceList";
                            public static final String ATTR_ENCODING_STYLE = "encodingStyle";
    public static final String ATTR_ACTOR = "actor";
    public static final String ATTR_MUST_UNDERSTAND = "mustUnderstand";
    public static final String ATTR_TYPE = "type";
    public static final String ATTR_NULL = "null";
    public static final String ATTR_ARRAY_TYPE = "arrayType";
    public static final String ATTR_REFERENCE = "href";
    public static final String ATTR_ID = "id";
                    public static String ATTRVAL_TRUE = "true";
        public static String FAULT_CODE_CLIENT = "Client";
    public static String FAULT_CODE_SERVER = "Server";
    public static String FAULT_CODE_VERSION_MISMATCH =
        "VersionMismatch";
    public static String FAULT_CODE_MUST_UNDERSTAND =
        "MustUnderstand";
    public static String FAULT_CODE_PROTOCOL = "Protocol";
    
        public static String FAULT_CODE_SERVER_BAD_TARGET_OBJECT_URI =
        Constants.FAULT_CODE_SERVER + ".BadTargetObjectURI";
        public static String ERR_MSG_VERSION_MISMATCH =
        FAULT_CODE_VERSION_MISMATCH +
        ": Envelope element must " +
        "be associated with " +
        "the '" +
        Constants.NS_URI_SOAP_ENV +
        "' namespace.";
    public static final String NS_PRE_SOAPSEC = "soapsec";
    public static final String NS_URI_SOAPSEC =
        "http://act.buaa.edu.cn/soap/soapsec";
        public static final String ELEM_SECURITY = "Security";
    public static final String ELEM_PROPERTIES = "Properties";
    public static final String ELEM_EXPIRATION = "Expiration";
    public static final String ELEM_NOTBEFORE = "NotBefore";
    public static final String ELEM_NOTONORAFTER = "NotOnOrAfter";
    public static final String ELEM_RECEIVER = "Receiver";
    public static final String ELEM_SENDER = "Sender";
                public static final String ALG_AES = "AES";
        public static final String ALG_BLOWFISH = "Blowfish";
        public static final String ALG_DES = "DES";
        public static final String ALG_DESEDE = "DESede";
    
    public static final String ALG_PB_WITH_MD5_AND_DES = "PBEWithMD5AndDES";
            public static final String ALG_PB_WITH_HMACSHA1_AND_DESEDE =
        "PBEWithHmacSHA1AndDESede";
        public static final String ALG_RC2 = "RC2";
    public static final String ALG_RC4 = "RC4";
    public static final String ALG_RC5 = "RC5";
        public static final String ALG_RSA = "RSA";
        public static final String AuthenObjectName = "Authentication";
    
    public static final String NS_PRE_WSSE = "wsse";
    public static final String NS_URI_WSSE =
        "http://schemas.xmlsoap.org/ws/2002/07/secext";
    public static final String NS_PRE_WSU = "wsu";
    public static final String NS_URI_WSU =
        "http://schemas.xmlsoap.org/ws/2002/07/utility";
        public static final String ELEM_AUTHENTICATION = "Authentication";
    public static final String ELEM_USERNAMETOKEN = "UsernameToken";
    public static final String ELEM_USERNAME = "Username";
    public static final String ELEM_PASSWORD = "Password";
    public static final String ELEM_BINARYSECURITYTOKEN = "BinarySecurityToken";
    public static final String ELEM_SECURITYTOKENREFERENCE =
        "SecurityTokenReference";
    public static final String ELEM_REFERENCE = "Reference";
    public static final String ELEM_TICKETTOKEN = "TicketToken";
    public static final String ELEM_TICKET = "Ticket";
    public static final String ELEM_SESSIONTOKEN = "SessionToken";
    public static final String ELEM_SESSIONID = "SessionID";
    public static final String ELEM_SECURITYCONTEXTTOKEN =
        "SecurityContextToken";
    public static final String ELEM_IDENTIFIER = "Identifier";
    public static final String ELEM_KEY = "Key";
    public static final String ELEM_NONCE = "Nonce";
    public static final String ELEM_TIMESTAMP = "Timestamp";
    public static final String ELEM_CREATED = "Created";
    public static final String ELEM_EXPIRES = "Expires";
        public static final String ATTR_WSU_ID = "Id";
    public static final String ATTR_WSSE_TYPE = "Type";
    public static final String ATTR_WSSE_VALUETYPE = "ValueType";
    public static final String ATTR_WSSE_ENCODINGTYPE = "EncodingType";
    public static final String ATTR_WSSE_URI = "URI";
        public static final String TYPE_ST_USERNAMETOKEN = ELEM_USERNAMETOKEN;
    public static final String TYPE_ST_BINARYSECURITYTOKEN =
        ELEM_BINARYSECURITYTOKEN;
    public static final String TYPE_ST_TICKETTOKEN = ELEM_TICKETTOKEN;
    public static final String TYPE_ST_SECURITYCONTEXTTOKEN =
        ELEM_SECURITYCONTEXTTOKEN;
    public static final String TYPE_ST_UNKNOWNTOKEN = "UnknownToken";
        public static final String FAULT_CODE_UnsupportSecToken = NS_PRE_WSSE + ":" +
        "UnsupportedSecurityToken";
    public static final String FAULT_CODE_UnsupportAlg = NS_PRE_WSSE + ":" +
        "UnsupportedAlgorithm";
    public static final String FAULT_CODE_InvalidSec = NS_PRE_WSSE + ":" +
        "InvalidSecurity";
    public static final String FAULT_CODE_InvalidSecToken = NS_PRE_WSSE + ":" +
        "InvalidSecurityToken";
    public static final String FAULT_CODE_InvalidAuthen = NS_PRE_WSSE + ":" +
        "FailedAuthentication";
    public static final String FAULT_CODE_FailedCheck = NS_PRE_WSSE + ":" +
        "FailedCheck";
    public static final String FAULT_CODE_SecTokenUnavailable = NS_PRE_WSSE +
        ":" + "SecurityTokenUnavailable";
        public static javax.xml.namespace.QName Q_ELEM_BINARYSECURITYTOKEN = new
        javax.xml.namespace.QName( NS_URI_WSSE, NS_PRE_WSSE,
                                   ELEM_BINARYSECURITYTOKEN );
    public static javax.xml.namespace.QName Q_ELEM_TICKETTOKEN = new javax.xml.
        namespace.QName( NS_URI_SOAPSEC, NS_PRE_SOAPSEC, ELEM_TICKETTOKEN );
    public static javax.xml.namespace.QName Q_ELEM_TICKET = new javax.xml.
        namespace.QName( NS_URI_SOAPSEC, NS_PRE_SOAPSEC, ELEM_TICKET );
    public static final String NS_PRE_SIGNATURE = "ds";
    public static final String NS_URI_SIGNATURE =
        "http://www.w3.org/2000/09/xmldsig#";
    public static final String NS_PRE_ENCRYPTION = "xenc";
    public static final String NS_URI_ENCRYPTION =
        "http://www.w3.org/2001/04/xmlenc#";
    public static String ALG_RSAWITHSHA1_URI =
        "http://www.w3.org/2000/09/xmldsig#rsa-sha1";
    public static String ALG_DSAWITHSHA1_URI =
        "http://www.w3.org/2000/09/xmldsig#dsa-sha1";
        public static final String PARA_IS_AUTHEN = "IsAuthen";
    public static final String PARA_AUTHENINFO = "AuthenInfo";
    public static final String PARA_AUTHENTYPE = "AuthenType";     public static final String PARA_USERNAME = "UserName";
    public static final String PARA_PASSWORD = "Password";
    public static final String PARA_AUTHEN_CERT = "AuthenCert";
    public static final String PARA_TICKET = "Ticket";
        public static final String PARA_IS_SIGN = "IsSign";
    public static final String PARA_SIGNINFO = "SignInfo";
    public static final String PARA_SIGN_ELEM_NS = "SignElemNamespace";     public static final String PARA_SIGN_ELEM_LN = "SignElemLocalName";     public static final String PARA_SIGNATURE_METHOD = "SignatureMethod";     public static final String PARA_SIGN_KEY = "SignKey";     public static final String PARA_SIGN_CERT = "SignCert";         public static final String PARA_IS_ENCRYPT = "IsEncrypt";
    public static final String PARA_ENCRYPTINFO = "EncryptInfo";
    public static final String PARA_ENC_ELEM_NS = "EncElemNamespace";     public static final String PARA_ENC_ELEM_LN = "EncElemLocalName";     public static final String PARA_ENCKEY_METHOD = "EncKeyMethod";     public static final String PARA_ENCDATA_METHOD = "EncDataMethod";     public static final String PARA_ENCKEY_DN = "EncKeyDN";     public static final String PARA_DECKEY = "DecKey";
    public static final String PARA_CONFIGFILE = "SoapSecConfigFile";
    public static String ConfigFile = "config/CredConf.xml";
        public static final String X_CTRLF = "\n";
    public static final String S_Line = "\n";
    public static final String S_Ref = "#";
    public static final String S_Unique = "###SOAPSEC###";
    public static final javax.xml.namespace.QName PARTINFO_BODY = new javax.xml.
        namespace.QName( Constants.NS_URI_SOAP_ENV, Constants.ELEM_BODY );
    public static final javax.xml.namespace.QName PARTINFO_TIMESTAMP = new
        javax.xml.namespace.QName( Constants.NS_URI_WSU,
                                   Constants.ELEM_TIMESTAMP );
}
