package org.act.soap.util;
import javax.xml.soap.Name;

public class Constants {
    
    public static final String ELEM_ENVELOPE = "Envelope";
    public static final String ELEM_HEADER = "Header";
    public static final String ELEM_BODY = "Body";
    public static final String ELEM_FAULT = "Fault";
    public static final String ELEM_NOTUNDERSTOOD = "NotUnderstood";
    public static final String ELEM_UPGRADE = "Upgrade";
    public static final String ELEM_SUPPORTEDENVELOPE = "SupportedEnvelope";
    public static final String ELEM_FAULT_CODE = "faultcode";
    public static final String ELEM_FAULT_STRING = "faultstring";
    public static final String ELEM_FAULT_DETAIL = "detail";
    public static final String ELEM_FAULT_ACTOR = "faultactor";
    public static final String ELEM_FAULT_CODE_SOAP12 = "Code";
    public static final String ELEM_FAULT_VALUE_SOAP12 = "Value";
    public static final String ELEM_FAULT_SUBCODE_SOAP12 = "Subcode";
    public static final String ELEM_FAULT_REASON_SOAP12 = "Reason";
    public static final String ELEM_FAULT_NODE_SOAP12 = "Node";
    public static final String ELEM_FAULT_ROLE_SOAP12 = "Role";
    public static final String ELEM_FAULT_DETAIL_SOAP12 = "Detail";
    public static final String ELEM_TEXT_SOAP12 = "Text";
    public static final String ATTR_MUST_UNDERSTAND = "mustUnderstand";
    public static final String ATTR_ENCODING_STYLE = "encodingStyle";
    public static final String ATTR_ACTOR = "actor";
    public static final String ATTR_ROLE = "role";
    public static final String ATTR_RELAY = "relay";
    public static final String ATTR_ROOT = "root";
    public static final String ATTR_ID = "id";
    public static final String ATTR_HREF = "href";
    public static final String ATTR_REF = "ref";
    public static final String ATTR_QNAME = "qname";
    public static final String ATTR_ARRAY_TYPE = "arrayType";
    public static final String ATTR_ITEM_TYPE = "itemType";
    public static final String ATTR_ARRAY_SIZE = "arraySize";
    public static final String ATTR_OFFSET = "offset";
    public static final String ATTR_POSITION = "position";
    public static final String ATTR_TYPE = "type";
    public static final String ATTR_HANDLERINFOCHAIN = "handlerInfoChain";
            public static final String NS_PREFIX_SOAP_ENV = "soapenv";
    public static final String NS_PREFIX_SOAP_ENC = "soapenc";
    public static final String NS_XSI_TYPE_LOCALNAME = "xsi";
    public static final String NS_PREFIX_SCHEMA_XSD = "xsd";
    public static final String NS_PREFIX_WSDL = "wsdl";
    public static final String NS_PREFIX_WSDL_SOAP = "wsdlsoap";
    public static final String NS_PREFIX_XMLSOAP = "actsoap";
    public static final String NS_PREFIX_XML = "xml";
                public static final String NS_URI_SOAP_ENC =
        "http://schemas.xmlsoap.org/soap/encoding/";
    public static final String NS_URI_SCHEMA_XSD =
        "http://www.w3.org/2001/XMLSchema";
    public static final String NS_URI_WSDL = "http://schemas.xmlsoap.org/wsdl/";
    public static final String NS_URI_WSDL_SOAP =
        "http://schemas.xmlsoap.org/wsdl/soap/";
    public static final String URI_SOAP11_HTTP =
        "http://schemas.xmlsoap.org/soap/http";
        public static final String PROCESS_STYLE_DOCUMENT = "document";
    public static final String PROCESS_STYLE_RPC = "rpc";
                    public static final String URI_SOAP11_ENV =
        "http://schemas.xmlsoap.org/soap/envelope/";
    public static final String URI_SOAP12_ENV =
        "http://www.w3.org/2002/12/soap-envelope";
    
    public static String FAULT_CODE_VERSIONMISMATCH =
        Constants.NS_PREFIX_SOAP_ENV + ":VersionMismatch";
    public static String FAULT_CODE_MUSTUNDERSTAND =
        Constants.NS_PREFIX_SOAP_ENV + ":MustUnderstand";
    public static String FAULT_CODE_CLIENT =
        Constants.NS_PREFIX_SOAP_ENV + ":Client";
    public static String FAULT_CODE_SERVER =
        Constants.NS_PREFIX_SOAP_ENV + ":Server";
    public static String FAULT_CODE_SENDER =
        Constants.NS_PREFIX_SOAP_ENV + ":Sender";
    
    
    public final static String DEPLORY_FAIL_DIR = "deploy_failed";
    public final static String WSAR_FILE_SUFFIX = ".wsar";
    public static final String DEFAULT_DEPLOY_SAPCE = "deploy";
    
    public static final String AUTODEPLOYER_THREAD_NAME = "Auto Deployer";
    public static final String DEFAULT_WORKING_SAPCE = "working";
    public static final int DEFT_CHECK_INTERVAL = 3000;
    public static final String META_INF_DIR_NAME = "META-INF";
    public static final String WSDD_FILE_NAME = "service.xml";
    public static final String ATTR_SOAPACTION = "SOAPAction";
    public static final String QUERYSTRING_WSDL = "wsdl";
    
    public static final String DEFAULT_CONFIG_FILE_PATH =
        "conf/SoapEngine.config";
    
    public static final String PROPERTY_NAME_CONFIG_FILE_PATH =
        "org.act.soap.server.engine.configfile";
    public static final String PROPERTY_NAME_ROOT_PATH="org.act.soap.server.engine.rootpath";
    
    public static final String USER_MANAGER_CONFIG_FILE_NAME  = "UserConf.xml";
    public static final String RBAC_MANAGER_CONFIG_FILE_NAME  = "RBACConf.xml";
    public static final String CRED_MANAGER_CONFIG_FILE_NAME  = "CredConf.xml";
    public static final String HTTP_PROTOCOL_NAME="http";
    
    public static final int MAX_ATTACHMENT_COUNT = 10;
}
