package org.act.soap.util.wsar;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import javax.swing.*;
import java.net.URL;
import java.net.URLClassLoader;
import java.net.*;

public class Java2WSARFrame extends JFrame {
    boolean packFrame = false;
    JButton jbOK = new JButton();
    JButton jbCancel = new JButton();
    JTextField txtClassPath = new JTextField();
    JLabel jLabel1 = new JLabel();
    JButton jbBrowsClassPath = new JButton();
    JButton jbBrowsWsar = new JButton();
    JTextField txtWsarPath = new JTextField();
    JLabel jLabel2 = new JLabel();
    JLabel jLabel3 = new JLabel();
    JTextField txtWsarName = new JTextField();
    JLabel jLabel4 = new JLabel();
    JTextField txtClassName = new JTextField();
    JLabel jLabel5 = new JLabel();
    File lastDir = null;
    public Java2WSARFrame() throws Exception {
        enableEvents(AWTEvent.WINDOW_EVENT_MASK);
        try {
            jbInit();
        }
        catch ( Exception e ) {
            e.printStackTrace();
        }
    }
        private void jbInit() throws Exception  {
        jbOK.setBounds(new Rectangle(203, 319, 78, 30));
        jbOK.setFont(new java.awt.Font("Dialog", 0, 12));
        jbOK.setText("ȷ");
    jbOK.addActionListener(new Java2WSARFrame_jbOK_actionAdapter(this));
        this.getContentPane().setLayout(null);
        jbCancel.setBounds(new Rectangle(295, 319, 78, 30));
        jbCancel.setFont(new java.awt.Font("Dialog", 0, 12));
        jbCancel.setText("˳");
    jbCancel.addActionListener(new Java2WSARFrame_jbCancel_actionAdapter(this));
        txtClassPath.setText("");
    txtClassPath.setBounds(new Rectangle(27, 70, 264, 30));
        jLabel1.setFont(new java.awt.Font("Dialog", 0, 12));
        jLabel1.setText("java·");
        jLabel1.setBounds(new Rectangle(16, 43, 101, 27));
        jbBrowsClassPath.setBounds(new Rectangle(304, 70, 75, 30));
        jbBrowsClassPath.setFont(new java.awt.Font("Dialog", 0, 12));
        jbBrowsClassPath.setRolloverEnabled(true);
        jbBrowsClassPath.setText("...");
    jbBrowsClassPath.addActionListener(new Java2WSARFrame_jbBrowsClassPath_actionAdapter(this));
        jbBrowsWsar.setText("...");
    jbBrowsWsar.addActionListener(new Java2WSARFrame_jbBrowsWsar_actionAdapter(this));
        jbBrowsWsar.setRolloverEnabled(true);
        jbBrowsWsar.setFont(new java.awt.Font("Dialog", 0, 12));
        jbBrowsWsar.setBounds(new Rectangle(304, 199, 75, 30));
        txtWsarPath.setText("");
    txtWsarPath.setBounds(new Rectangle(27, 199, 264, 30));
        jLabel2.setBounds(new Rectangle(16, 172, 101, 27));
    jLabel2.setText("wsar·");
    jLabel2.setFont(new java.awt.Font("Dialog", 0, 12));
        jLabel3.setBounds(new Rectangle(109, 13, 200, 27));
    jLabel3.setText("WSARԶ");
    jLabel3.setFont(new java.awt.Font("Dialog", 0, 24));
    txtWsarName.setBounds(new Rectangle(27, 268, 264, 30));
    txtWsarName.setText("");
    jLabel4.setFont(new java.awt.Font("Dialog", 0, 12));
    jLabel4.setText("wsar");
    jLabel4.setBounds(new Rectangle(16, 241, 101, 27));
    txtClassName.setBounds(new Rectangle(27, 135, 264, 30));
    txtClassName.setText("");
    jLabel5.setBounds(new Rectangle(16, 108, 101, 27));
    jLabel5.setText("java");
    jLabel5.setFont(new java.awt.Font("Dialog", 0, 12));
    this.setTitle("Java2WSAR");
    this.getContentPane().add(txtClassPath, null);
    this.getContentPane().add(jbBrowsClassPath, null);
    this.getContentPane().add(jLabel3, null);
    this.getContentPane().add(jLabel1, null);
    this.getContentPane().add(txtWsarName, null);
    this.getContentPane().add(jLabel2, null);
    this.getContentPane().add(txtWsarPath, null);
    this.getContentPane().add(jbBrowsWsar, null);
    this.getContentPane().add(jLabel4, null);
    this.getContentPane().add(jbOK, null);
    this.getContentPane().add(jbCancel, null);
    this.getContentPane().add(txtClassName, null);
    this.getContentPane().add(jLabel5, null);
    }
        protected void processWindowEvent(WindowEvent e) {
        super.processWindowEvent(e);
        if (e.getID() == WindowEvent.WINDOW_CLOSING) {
            jbCancel_actionPerformed(null);
        }
    }
    void jbCancel_actionPerformed(ActionEvent e) {
        System.exit(0);
    }
    void jbOK_actionPerformed(ActionEvent e) {
                if ( this.txtClassPath.getText().length() == 0 ) {
            JOptionPane.showMessageDialog( this, "Java·Ϊ", "", JOptionPane.ERROR_MESSAGE );
            return;
        }
        if ( this.txtClassName.getText().length() == 0 ) {
            JOptionPane.showMessageDialog( this, "JavaƲΪ", "", JOptionPane.ERROR_MESSAGE );
            return;
        }
        if ( this.txtWsarPath.getText().length() == 0 ) {
            JOptionPane.showMessageDialog( this, "WSARļ·Ϊ", "", JOptionPane.ERROR_MESSAGE );
            return;
        }
        if ( this.txtWsarName.getText().length() == 0 ) {
            JOptionPane.showMessageDialog( this, "WSARļƲΪ", "", JOptionPane.ERROR_MESSAGE );
            return;
        }
                String classPath = txtClassPath.getText();
        File classPathDir = new File(classPath);
        if ( ! classPathDir.exists()
             || ( ! classPathDir.isDirectory() && ! classPathDir.getName().endsWith( ".jar" ) ) ) {
            JOptionPane.showMessageDialog( this, "java·ڣ߲һЧ·", "", JOptionPane.ERROR_MESSAGE );
            return;
        }
                ClassLoader classLoader = null;
        try {
            classLoader = new URLClassLoader( new URL[] {classPathDir.toURL()} );
        }
        catch ( MalformedURLException ex1 ) {
        }
                String javaClassName = txtClassName.getText();
        try {
            classLoader.loadClass( javaClassName );
        }
        catch ( ClassNotFoundException ex2 ) {
            JOptionPane.showMessageDialog( this, "Java಻ڻܳɹװ", "", JOptionPane.ERROR_MESSAGE );
            return;
        }
                String wsarPath = txtWsarPath.getText();
        File wsarDir = new File(wsarPath);
        if ( ! wsarDir.exists() || ! wsarDir.isDirectory() ) {
            JOptionPane.showMessageDialog( this, "WSARļ·ڣ߲һЧ·", "", JOptionPane.ERROR_MESSAGE );
            return;
        }
                String wsarName = txtWsarName.getText();
        if( ! wsarName.endsWith( ".wsar" ) ) {
            wsarName += ".wsar";
        }
                String[] args = new String[] {
            javaClassName,
            new File( wsarDir, wsarName ).getPath()
        };
        Thread.currentThread().setContextClassLoader( classLoader );
        try {
            new Java2WSAR().run( args );
            JOptionPane.showMessageDialog( this, "WSARļɹ",
                                           "ɹ",
                                           JOptionPane.INFORMATION_MESSAGE );
        }
        catch ( Exception ex ) {
            JOptionPane.showMessageDialog( this, "wsarļʧܣԭ" + ex.getMessage(),
                                           "",
                                           JOptionPane.ERROR_MESSAGE );
        }
    }
    void jbBrowsClassPath_actionPerformed(ActionEvent e) {
        JFileChooser chooser = new JFileChooser();
        chooser.setCurrentDirectory( lastDir );
        chooser.setFileFilter( new javax.swing.filechooser.FileFilter(){
            public boolean accept ( File f ) {
                return f != null && f.exists() && ( f.isDirectory() || f.getName().endsWith( ".jar" ) );
            }
            public String getDescription () {
                return "·";
            }
        } );
        chooser.setFileSelectionMode( JFileChooser.FILES_AND_DIRECTORIES );
        int returnVal = chooser.showOpenDialog( this );
        if(returnVal == JFileChooser.APPROVE_OPTION) {
            this.txtClassPath.setText( chooser.getSelectedFile().getPath() );
            lastDir = chooser.getSelectedFile().isDirectory()?chooser.getSelectedFile():chooser.getSelectedFile().getParentFile();
        }
    }
    void jbBrowsWsar_actionPerformed(ActionEvent e) {
        JFileChooser chooser = new JFileChooser();
        chooser.setCurrentDirectory( lastDir );
        chooser.setFileFilter( new javax.swing.filechooser.FileFilter(){
            public boolean accept ( File f ) {
                return f != null && f.exists() && f.isDirectory();
            }
            public String getDescription () {
                return "wsar·";
            }
        } );
        chooser.setFileSelectionMode( JFileChooser.DIRECTORIES_ONLY );
        int returnVal = chooser.showOpenDialog( this );
        if(returnVal == JFileChooser.APPROVE_OPTION) {
            this.txtWsarPath.setText( chooser.getSelectedFile().getPath() );
            lastDir = chooser.getSelectedFile().isDirectory()?chooser.getSelectedFile():chooser.getSelectedFile().getParentFile();
        }
    }
}
class Java2WSARFrame_jbCancel_actionAdapter implements java.awt.event.ActionListener {
  Java2WSARFrame adaptee;
  Java2WSARFrame_jbCancel_actionAdapter(Java2WSARFrame adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.jbCancel_actionPerformed(e);
  }
}
class Java2WSARFrame_jbOK_actionAdapter implements java.awt.event.ActionListener {
  Java2WSARFrame adaptee;
  Java2WSARFrame_jbOK_actionAdapter(Java2WSARFrame adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.jbOK_actionPerformed(e);
  }
}
class Java2WSARFrame_jbBrowsClassPath_actionAdapter implements java.awt.event.ActionListener {
  Java2WSARFrame adaptee;
  Java2WSARFrame_jbBrowsClassPath_actionAdapter(Java2WSARFrame adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.jbBrowsClassPath_actionPerformed(e);
  }
}
class Java2WSARFrame_jbBrowsWsar_actionAdapter implements java.awt.event.ActionListener {
  Java2WSARFrame adaptee;
  Java2WSARFrame_jbBrowsWsar_actionAdapter(Java2WSARFrame adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.jbBrowsWsar_actionPerformed(e);
  }
}
