package org.act.xdsec.extension.algorithm;
import java.security.*;

public abstract class SignatureAlgorithm
    extends JCEAlgorithm {
    public SignatureAlgorithm () {
        super( "Signature" );     }
    
    public abstract byte[] sign ( byte[] input, Key key ) throws
        InvalidKeyException,
        SignatureException;
    
    public abstract boolean verify ( byte[] sigvalue, byte[] input, Key key ) throws
        InvalidKeyException, SignatureException;
}
