package org.act.xdsec.extension.algorithm.transform;

import java.io.*;
import java.security.*;
import java.util.*;
import javax.crypto.spec.*;
import org.act.xdsec.core.com.*;
import org.act.xdsec.core.enc.*;
import org.act.xdsec.core.exception.*;
import org.act.xdsec.extension.algorithm.*;
import org.act.xdsec.util.*;
import org.w3c.dom.*;
public class DecryptionTransform
    extends TransformAlgorithm {
        public DataObject transform ( DataObject data, Element sig ) throws
        IOException, CanonicalizationException,
        TransformationException {
        return data;
    }
        public void transform () {
        Element tran = this.getParameter();
        Vector tranURI = new Vector();
        tranURI.removeAllElements();
        NodeList exceptNode = tran.getChildNodes();
        for ( int i = 0; i < exceptNode.getLength(); i++ ) {
            if ( exceptNode.item( i ).getNodeType() == Node.ELEMENT_NODE ) {
                String uri = ( ( Element ) exceptNode.item( i ) ).getAttribute(
                    Constant.ATT_URI );
                if ( uri != null ) {
                    tranURI.addElement( uri );
                }
            }
        }
                                NodeList encryptNode = tran.getOwnerDocument().getElementsByTagName(
            Constant.PREFIX_ENCRYPTION + ":" + Constant.ENC_ENCRYPTEDDATA_TAG );
        int length = encryptNode.getLength();
        for ( int i = 0; i < length; i++ ) {
            String idstr = ( ( Element ) encryptNode.item( i ) ).getAttribute(
                Constant.ATT_ID );
            if ( idstr == null || !tranURI.contains( "#" + idstr ) ) {
                Element decryptNode = ( Element ) encryptNode.item( i );
                Element encryptkey = ( Element ) decryptNode.
                    getElementsByTagNameNS(
                        Constant.NS_XMLENC_NAME, Constant.ENC_ENCRYPTEDKEY_TAG ).
                    item( 0 );
                Key key = null;
                byte[] result = null;
                                try {
                    EncryptedKey encKey = new EncryptedKey();
                    encKey.setEncKey( encryptkey );
                    result = encKey.decrypt( key, "" );
                }
                catch ( Exception e ) {
                    e.printStackTrace();
                }
                SecretKeySpec mykey = new SecretKeySpec( result, "DES" );
                EncryptedData encData = new EncryptedData();
                                try {
                    encData.setEncData( decryptNode );
                    encData.decrypt( mykey, "", true );
                }
                catch ( Exception e ) {
                    e.printStackTrace();
                }
            }
        }
    }
}
