package org.act.xdsec.extension.keyinfo;
import java.security.*;
import org.act.soap.server.secmanager.*;
import org.act.soap.util.*;
import org.act.xdsec.util.*;
import org.w3c.dom.*;

public class KeyNameProcessorImpl
    implements KeyNameProcessor {
    public Key getKey ( Node node, boolean ispublic ) throws
        InvalidKeyException,
        NoSuchAlgorithmException {
        Key key = null;
        Log.setMsg( "DefaultKeyNameProcessor.getKey, in ..." );
        String keyName = node.getFirstChild().getNodeValue();
                                                try {
                        String configPath = "/conf/SoapEngine.config";
                                    String strKeyStorePath =
                System.getProperty( Constants.PROPERTY_NAME_ROOT_PATH );
            if ( null == strKeyStorePath ) {
                                configPath = System.getProperty( "clientConfigPath" ) +
                    configPath;
            }
            else {
                                configPath = strKeyStorePath + configPath;
            }
                        CredManager cred = new CredManager( configPath );
                                    if ( ispublic ) {
                key = cred.getPublicKey( keyName );
            }
            else {
                key = cred.getPrivateKey( keyName, null );
            }
                                            }
        catch ( Exception e ) {
            e.printStackTrace();
        }
        return key;
    }
}
