
package org.act.xdsec.syntax.dsig;
import java.util.*;
import org.act.xdsec.util.*;
import org.w3c.dom.*;

public class XProperty {
    private String target;
    private String id;
    private Vector nodes;
    public void setId ( String sid ) {
        this.id = sid;
    }
    public void setTarget ( String uri ) {
        this.target = uri;
    }
    public void addNode ( Node node ) {
        if ( this.nodes == null ) {
            this.nodes = new Vector();
        }
        this.nodes.add( node );
    }
    public void addNodeList ( NodeList nodelist ) {
        if ( nodelist != null ) {
            for ( int i = 0; i < nodelist.getLength(); i++ ) {
                this.addNode( nodelist.item( i ) );
            }
        }
    }
    public Element toElement ( Document doc ) {
        Element rtn;
                        rtn = XMLUtils.createElementInSignatureSpace( doc,
            Constant.TAG_PROPERTY_NAME );
        if ( this.nodes != null ) {
            rtn.appendChild( doc.createTextNode( Constant.X_CTRLF ) );
            for ( int i = 0; i < nodes.size(); i++ ) {
                rtn.appendChild( ( Node ) nodes.elementAt( i ) );
                rtn.appendChild( doc.createTextNode( Constant.X_CTRLF ) );
            }
        }
        return rtn;
    }
}
