package org.act.xdsec.syntax.enc;

import java.util.*;
import org.act.xdsec.syntax.dsig.*;
import org.act.xdsec.util.*;
import org.w3c.dom.*;

public class XCipherReference {
    String uri;
    Vector xtrans;
    public void setUri ( String value ) {
        this.uri = value;
    }
    public void addTransform ( XTransform xtran ) {
        if ( this.xtrans == null ) {
            this.xtrans = new Vector();
        }
        this.xtrans.add( xtran );
    }
    public Element toElement ( Document doc ) {
                Element ref = XMLUtils.createElementInEncryptionSpace( doc,
            Constant.ENC_CIPHERREFERENCE_TAG );
        ref.setAttribute( Constant.ATT_URI, this.uri );
        if ( this.xtrans != null ) {
                        Element trans = XMLUtils.createElementInEncryptionSpace( doc,
                Constant.TAG_TRANSFORMS_NAME );
            for ( int i = 0; i < xtrans.size(); i++ ) {
                trans.appendChild( ( ( XTransform ) ( xtrans.elementAt( i ) ) ).
                                   toElement( doc ) );
            }
            ref.appendChild( trans );
        }
        return ref;
    }
}
