package org.act.xdsec.syntax.enc;
import org.act.xdsec.util.*;
import org.w3c.dom.*;

class XDataReference {
    String uri;
    NodeList params;
    public XDataReference ( String uri, NodeList nodes ) {
        this.uri = uri;
        this.params = nodes;
    }
    public void setURI ( String uri ) {
        this.uri = uri;
    }
    public void setParams ( NodeList nodes ) {
        this.params = nodes;
    }
        public Element toElement ( Document doc ) {
        Element dataref;
                dataref = XMLUtils.createElementInEncryptionSpace( doc,
            Constant.ENC_DATAREFERENCE_TAG );
        dataref.setAttribute( "URI", uri );         if ( this.params != null ) {
                        Element el = XMLUtils.createElementInEncryptionSpace( doc,
                Constant.TAG_TRANSFORMS_NAME );
            for ( int i = 0; i < params.getLength(); i++ ) {
                el.appendChild( doc.createTextNode( Constant.X_CTRLF ) );
                el.appendChild( params.item( i ) );
                el.appendChild( doc.createTextNode( Constant.X_CTRLF ) );
            }
            dataref.appendChild( el );
        }
        return dataref;
    }
}
