package org.act.xdsec.syntax.enc;
import org.act.xdsec.util.*;
import org.w3c.dom.*;

class XKeyReference {
    String uri;
    NodeList params;
    public XKeyReference ( String uri, NodeList nodes ) {
        this.uri = uri;
        this.params = nodes;
    }
    public void setURI ( String uri ) {
        this.uri = uri;
    }
    public void setParams ( NodeList nodes ) {
        this.params = nodes;
    }
    public Element toElement ( Document doc ) {
        Element el;
                el = XMLUtils.createElementInEncryptionSpace( doc,
            Constant.ENC_KEYREFERENCE_TAG );
        el.appendChild( doc.createTextNode( Constant.X_CTRLF ) );
        if ( this.params != null ) {
            for ( int i = 0; i < params.getLength(); i++ ) {
                el.appendChild( params.item( i ) );
            }
        }
        el.appendChild( doc.createTextNode( Constant.X_CTRLF ) );
        return el;
    }
}
