package org.act.xdsec.syntax.keyinfo;
import org.w3c.dom.*;

class XAnyKey
    implements XKeyType {
    
    Element elKey;
    
    XKeyType anyKey;
    
    public XAnyKey ( Element elKey ) {
        this.elKey = elKey;
        this.anyKey = null;
    }
    
    public XAnyKey ( XKeyType key ) {
        this.anyKey = key;
        this.elKey = null;
    }
    
    public Element toElement ( Document doc ) {
        if ( anyKey != null ) {
            return anyKey.toElement( doc );
        }
        else {
            return this.elKey;
        }
    }
}
