
package org.act.xdsec.syntax.keyinfo;
import org.act.xdsec.util.*;
import org.w3c.dom.*;

public class XKeyName
    implements XKeyType {
    
    String sKeyName;
    
    public XKeyName ( String sKeyName ) {
        this.sKeyName = sKeyName;
    }
    
    public void setKeyName ( String sKeyName ) {
        this.sKeyName = sKeyName;
    }
    
    public Element toElement ( Document doc ) {
        Element el;
        el = XMLUtils.createElementInSignatureSpace( doc,
            Constant.TAG_KEYNAME_NAME );
                el.appendChild( doc.createTextNode( this.sKeyName ) );
                return el;
    }
}
