package org.act.xdsec.util;
import java.io.*;

public abstract class ConfigConsumer {
    String msFile;
    
    public void setFile ( String file ) {
                        this.msFile = file;
    }
    
    abstract protected String defaultFileName ();
    
    abstract protected String keyOfSysProperty ();
    
    protected final String getFile () {
        String sRtn = null;
        String str = null;
        File oFile;
        Log.enterFunc( "ConfigResumer", "getFile" );
                str = this.msFile;
        if ( str != null ) {
            oFile = new File( str );
            if ( oFile.isFile() ) {
                Log.setMsg( "Get the file from user configuration" );
                sRtn = str;
            }
        }
                if ( sRtn == null ) {
            str = java.lang.System.getProperty( this.keyOfSysProperty() );
            if ( str != null ) {
                oFile = new File( str );
                if ( oFile.isFile() ) {
                    Log.setMsg( "Get the file from System Property" );
                    sRtn = str;
                }
            }
        }
                        if ( sRtn == null ) {
            
            str = this.getClass().getProtectionDomain().getCodeSource().
                getLocation().getPath();
            str = str + this.defaultFileName();
            oFile = new File( str );
            if ( oFile.isFile() ) {
                Log.setMsg( "Get the file from the path of jar file" );
                sRtn = str;
            }
        }
        if ( sRtn == null ) {
            
            java.net.URL url = this.getClass().getResource( this.
                defaultFileName() );
            if ( url != null ) {
                Log.setMsg( "Get the file from the path of class file." );
                sRtn = url.getPath();
            }
        }
                return sRtn;
    }
}
